/**
 * Creates an error object.
 * @syntax new Error([message[, fileName[, lineNumber]]])
 * @param {String} message Human-readable description of the error
 * @param {String} fileName Non-standard
 * @param {Number} lineNumber Non-standard
 * @returns {Error} 
 */
function Error() {
}
/**
 * A human-readable description of the error.
 * @returns {String} 
 */
Error.prototype.message = new String();

/**
 * Returns code that could eval to the same error.
 * @syntax error.toSource()
 * @returns {String} 
 */
Error.prototype.toSource = function() {};

/**
 * @returns {String} 
 */
Error.prototype.description = new String();

/**
 * A name for the type of error.
 * @returns {String} 
 */
Error.prototype.name = new String();

/**
 * @returns {String} 
 */
Error.prototype.fileName = new String();

/**
 * @returns {Number} 
 */
Error.prototype.lineNumber = new Number();

/**
 * Returns a string representing the specified Error object.
 * @syntax error.toString()
 * @returns {String} 
 */
Error.prototype.toString = function() {};

/**
 * @returns {Number} 
 */
Error.prototype.number = new Number();

/**
 * @returns {String} 
 */
Error.prototype.stack = new String();

/**
 * @returns {Function} 
 */
Error.prototype.constructor = new Function();

/**
 * Represents the prototype for the Error constructor.
 * @returns {Object} 
 * @static
 */
Error.prototype;

